aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/poky-qemu-internal9
-rwxr-xr-xscripts/runqemu8
2 files changed, 15 insertions, 2 deletions
diff --git a/scripts/poky-qemu-internal b/scripts/poky-qemu-internal
index 01486ccff6..aac51b5888 100755
--- a/scripts/poky-qemu-internal
+++ b/scripts/poky-qemu-internal
@@ -71,7 +71,12 @@ done
if [ "$TAP" = "" ]; then
GROUPID=`id -g`
echo 'Setting up tap interface under sudo'
- TAP=`sudo $QEMUIFUP $GROUPID`
+ TAP=`sudo $QEMUIFUP $GROUPID $NATIVE_SYSROOT_DIR`
+ if [ $? -ne 0 ]; then
+ # Re-run standalone to see verbose errors
+ sudo $QEMUIFUP $GROUPID $NATIVE_SYSROOT_DIR
+ return
+ fi
LOCKFILE=""
else
echo "Using preconfigured tap device '$TAP'"
@@ -79,7 +84,7 @@ fi
release_lock() {
if [ "$LOCKFILE" = "" ]; then
- $QEMUIFDOWN $TAP
+ $QEMUIFDOWN $TAP $NATIVE_SYSROOT_DIR
else
echo "Releasing lockfile of preconfigured tap device '$TAP'"
rm -f $LOCKFILE
diff --git a/scripts/runqemu b/scripts/runqemu
index 53ef5a5efb..16c2e85856 100755
--- a/scripts/runqemu
+++ b/scripts/runqemu
@@ -215,4 +215,12 @@ fi
CROSSPATH=$TMPDIR/sysroots/$BUILD_SYS/usr/bin:$CROSSPATH
+SYSROOT_SETUP_SCRIPT=`which poky-find-native-sysroot`
+if [ -z "$SYSROOT_SETUP_SCRIPT" ]; then
+ echo "Error: Unable to find the poky-find-native-sysroot script"
+ echo "Did you forget to source your Poky environment script?"
+ exit 1
+fi
+. $SYSROOT_SETUP_SCRIPT
+
. $INTERNAL_SCRIPT